PDA

View Full Version : Superduper useful with Leopard now???


bobmoore1954
01-24-2008, 06:17 PM
I have the current version of Superduper, and I have Leopard installed. Is there any reason I'd want to use Superduper, of should I wait on the new version? I need to be doing some kind of backup, even if I cannot boot from the external drive.

dnanian
01-24-2008, 06:22 PM
I'd generally suggest using Time Machine to do that, Bob, until v2.5 is released. But it'll definitely be useful -- see the discussion on the blog.